| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | jiangly | 3670 |
| 3 | Kevin114514 | 3657 |
| 4 | maroonrk | 3355 |
| 5 | Um_nik | 3353 |
| 6 | squareOf105 | 3346 |
| 7 | tourist | 3343 |
| 8 | strapple | 3324 |
| 9 | heuristica | 3322 |
| 10 | jiangbowen | 3291 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 158 |
| 2 | nik_exists | 150 |
| 2 | maspy | 150 |
| 4 | AmShZ | 143 |
| 5 | Um_nik | 141 |
| 6 | Errichto | 139 |
| 7 | adamant | 137 |
| 8 | BledDest | 133 |
| 8 | maroonrk | 133 |
| 10 | qwexd | 130 |
|
0
does this famous result have a name if I want to learn more about it and those like it? |
|
0
I assume that means you passed? In which case congrats, mine didn't :^(. Clearly some edge case I'm not thinking of, shouldn't have been lazy. Please share your submission, if so. |
|
0
don't the 6 cases degenerate into: l = max(l — k, l2) and r = min(r + k, r2) where [r, l] are the current valid range and [r2, l2] are the one we're checking to see if this k is valid. |
|
0
you're re-intitialising your 'facts' array for every test case. it would be the same every time. |
|
+3
aw nuts, messed up with the loop condition. Accepted now :). Thanks so much! |
|
0
Hello I have followed the same idea, removing leftmost s[i] when s[i] > s[i+1]. It runs in O(n) time. The no-spaces-bw-testcases rule makes it impossible to find where I'm going wrong. Please help me if you can. |
|
0
if x=6, and a=2 and b=10, a^b=8. now if increase a by 1, a=3, b=9. and a^b=10. so on increasing a => a^b increases. now we increase a by 2. 5^7= 2. therefore a^b is not monotonic so not a candidate for binary search |
|
0
for binary search doesn't f(x) have to be monotonic? sorry I'm not understanding how bs won't get stuck somewhere. In this case is a solution for a so bs will always try it but how do you prove it without knowing the solution beforehand? |
|
0
you've probably figured but () is a good substring and it is shorter than ())( |
|
0
unrepeated balls, it's in the editorial |
|
0
In D, if x represents 2 balls shouldn't we seek to minimise 2x+y? I am not getting the part with the inequalities:( |
|
0
ah! sorry, yes D. |
|
0
In D, if x represents 2 balls shouldn't we seek to minimise 2x+y? I am not getting the part with the inequalities:( |
|
0
what's a residue |
|
0
got A wrong thrice because i was using std::unique wrong lol :'). cost me 300 pts and couldn't finish B. sigh. |
|
0
your graph gives me hope |
|
0
we want distinct letters i.e., the frequency should only be 0 or 1. |
|
0
GOD i was so close to getting D >:( |
|
0
did you? |
|
0
any idea why this is correct? i used the same but am not able to prove it is always correct like they did in the editorial. |
|
0
any idea why this is correct? i used the same but am not able to prove it is always correct like they did in the editorial. |
|
0
still unclear why for problem D, why we used T(n) = 2T(n/3) + O(1) , but it's really T(n/3)+T((2*n)/3)+O(1). you could say the 2/3 will dominate so b should be 1.5 but then time complexity is n^(log1.5(1)) which is O(n). |
| Name |
|---|


